### Constructor

# Goa ObjectSkeleton new

#### Declaration [src]

    GoaObjectSkeleton*
    goa_object_skeleton_new (
      const gchar* object_path
    )

#### Description [src]

Creates a new skeleton object.

#### Parameters

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GoaObjectSkeleton`

The skeleton object.

The caller of the function takes ownership of the data, and is responsible for freeing it.